package ru.yandex.webmaster3.storage.user;

import org.joda.time.DateTime;

import ru.yandex.webmaster3.core.blackbox.UserWithLogin;

/**
 * @author aherman
 */
public class BetaUser {
    private final UserWithLogin user;
    private final long adminUserId;
    private final DateTime addTime;

    public BetaUser(UserWithLogin user, long adminUserId, DateTime addTime) {
        this.user = user;
        this.adminUserId = adminUserId;
        this.addTime = addTime;
    }

    public UserWithLogin getUser() {
        return user;
    }

    public long getAdminUserId() {
        return adminUserId;
    }

    public DateTime getAddTime() {
        return addTime;
    }
}
